ANNIE - Task #15595

SAM onboarding
02/20/2017 12:23 PM - Arthur Kreymer

Status: Assigned Start date: 02/20/2017
Priority: Normal Due date: 04/01/2017
Assignee: Arthur Kreymer % Done: 100%
Category: Estimated time: 20.00 hours
Target version: Spent time: 6.10 hours
Description

Outline of SAM onboarding for ANNIE.
Details will be in separate Issues and WIKI pages.

History

#1 - 02/20/2017 12:35 PM - Arthur Kreymer

See documents under
https://cdcvs.fnal.gov/redmine/projects/anniesoft/wiki/ANNIE-SAM

A successful project has been run, see
https://cdcvs.fnal.gov/redmine/projects/anniesoft/wiki/ANNIE-SAM-TEST#section-2

#2 - 02/22/2017 08:49 AM - Arthur Kreymer
- % Done changed from 20 to 30

SAM planning meeting with kreymer, dingpf, moflaher, etiras, brichard
Feel free to update and correct this summary.

Plan for talk in Annie Collaboration meeting Friday PM by dingpf
Presently 16:00, try for 15:00 to avoid W&C ?
Usage of dimensions

file_types

Intended to be broad, like
detector

simulated

data_tiers

Specific classes like
raw

vbdata

vbdata

Oata_streams
intended to be DAQ triggers

checksum_types
can proceed with adler32, no need to upper case ( may be no choice )

run_types
from DAQ, Ben will specify

#3 - 02/22/2017 10:02 AM - Arthur Kreymer
moflaher and etiras are now ANNIE SAM admins.
Added an annieraw SAM account with an appropriate SSL subject for automatic processes.

See details in
https://cdcvs.fnal.gov/redmine/projects/anniesoft/wiki’/ANNIE-SAM-ADMIN

#4 - 02/22/2017 10:45 AM - Arthur Kreymer
- % Done changed from 30 to 20
https://cdcvs.fnal.gov/redmine/projects/anniesoft/wiki/ANNIE-SAM
https://cdcvs.fnal.gov/redmine/projects/anniesoft/wiki/ANNIE-SAM-TEST#section-2
https://cdcvs.fnal.gov/redmine/projects/anniesoft/wiki/ANNIE-SAM-ADMIN

Yesterday Emhrah created a sam channel under annnie.slack.com.
Thanks !

#5 - 01/25/2018 07:25 AM - Matthew Wetstein
- % Done changed from 20 to 100
